aboutsummaryrefslogtreecommitdiff
path: root/local/bin/backlight-ctl
diff options
context:
space:
mode:
Diffstat (limited to 'local/bin/backlight-ctl')
-rwxr-xr-xlocal/bin/backlight-ctl23
1 files changed, 23 insertions, 0 deletions
diff --git a/local/bin/backlight-ctl b/local/bin/backlight-ctl
new file mode 100755
index 0000000..2963d83
--- /dev/null
+++ b/local/bin/backlight-ctl
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+[ "$#" -ne 1 ] && exit 1;
+
+
+if [ "$(hostname)" = manjaro ]
+then
+ cmd=light
+ up_opt=-A
+ down_opt=-U
+else
+ cmd=xbacklight
+ up_opt=-inc
+ down_opt=-dec
+fi
+
+case "$1" in
+ "up") "$cmd" "$up_opt" 5 ;;
+ "down") "$cmd" "$down_opt" 5 ;;
+ *) exit 1 ;;
+esac
+
+notify-send "backlight $("$cmd" | cut -d '.' -f 1)"